org.apache.ignite.spi.discovery

## Class DiscoveryNotification

- java.lang.Object
- - org.apache.ignite.spi.discovery.DiscoveryNotification

    public class DiscoveryNotification
    extends Object

Discovery notification object.

### Constructor Summary

Constructors
Constructor and Description
`DiscoveryNotification(int eventType, long topVer, ClusterNode node, Collection<ClusterNode> topSnapshot)`
`DiscoveryNotification(int eventType, long topVer, ClusterNode node, Collection<ClusterNode> topSnapshot, @Nullable Map<Long,Collection<ClusterNode>> topHist, @Nullable DiscoverySpiCustomMessage customMsgData, SpanContainer spanContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DiscoverySpiCustomMessage` `getCustomMsgData()`
`ClusterNode` `getNode()`
`SpanContainer` `getSpanContainer()`
`Map<Long,Collection<ClusterNode>>` `getTopHist()`
`Collection<ClusterNode>` `getTopSnapshot()`
`long` `getTopVer()`
`int` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoveryNotification

    public DiscoveryNotification(int eventType,
                                 long topVer,
                                 ClusterNode node,
                                 Collection<ClusterNode> topSnapshot)

Parameters:
  `eventType` - Event type.
  `topVer` - Topology version.
  `node` - Node.
  `topSnapshot` - Topology snapshot.

#### DiscoveryNotification

    public DiscoveryNotification(int eventType,
                                 long topVer,
                                 ClusterNode node,
                                 Collection<ClusterNode> topSnapshot,
                                 @Nullable
                                 @Nullable Map<Long,Collection<ClusterNode>> topHist,
                                 @Nullable
                                 @Nullable DiscoverySpiCustomMessage customMsgData,
                                 SpanContainer spanContainer)

Parameters:
  `eventType` - Event type.
  `topVer` - Topology version.
  `node` - Node.
  `topSnapshot` - Topology snapshot.
  `topHist` - Topology history.
  `customMsgData` - Custom message data.
  `spanContainer` - Span container.

### Method Detail

#### type

    public int type()

Returns:
  Event type.

#### getTopVer

    public long getTopVer()

Returns:
  Topology version.

#### getNode

    public ClusterNode getNode()

Returns:
  Cluster node.

#### getTopSnapshot

    public Collection<ClusterNode> getTopSnapshot()

Returns:
  Topology snapshot.

#### getTopHist

    public Map<Long,Collection<ClusterNode>> getTopHist()

Returns:
  Topology history.

#### getCustomMsgData

    public DiscoverySpiCustomMessage getCustomMsgData()

Returns:
  Custom message data.

#### getSpanContainer

    public SpanContainer getSpanContainer()

Returns:
  Span container.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023